Bug 1262462 - OpenJDK 1.8.0 update 60 causes runtime problems in java application
OpenJDK 1.8.0 update 60 causes runtime problems in java application
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
21
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Elliott Baron
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 15:20 EDT by Thomas Hauser
Modified: 2015-12-02 13:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:20:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to setup EAP and clone / build / deploy problematic webapp (739 bytes, application/x-shellscript)
2015-09-11 15:20 EDT, Thomas Hauser
no flags Details
Crude backport of fix for WELD-2019 (1.58 KB, patch)
2015-09-28 18:56 EDT, Elliott Baron
no flags Details | Diff

  None (edit)
Description Thomas Hauser 2015-09-11 15:20:29 EDT
Created attachment 1072620 [details]
Script to setup EAP and clone / build / deploy problematic webapp

Description of problem:
When compiling Project Newcastle with the latest openjdk package, there are runtime errors upon deployment that are not present with an older version of openjdk.

Version-Release number of selected component (if applicable):
1:1.8.0.60-14.b27.fc21

How reproducible:
Always

Steps to Reproduce:
0) Ensure system is using 1:1.8.0.60-14.b27.fc21 openjdk distribution
1) Download and unzip an EAP 6.4.0 server 
2) Copy the attached reproduction script into JBOSS_HOME (top level of unzip)
3) Execute the script to build and deploy the webapp.
4) Execute EAP with ./bin/standalone.sh
5) Observe stack traces upon deployment.

Actual results:
ear-package.ear fails to deploy successfully. 

Expected results:
Deployment of ear-package.ear completes successfully and can be accessed through browser.
Comment 5 Elliott Baron 2015-09-28 18:56 EDT
Created attachment 1078081 [details]
Crude backport of fix for WELD-2019

(In reply to Omair Majid from comment #4)
> Is this http://weld.cdi-spec.org/news/2015/09/15/jdk-8u60-problem/ ?
> 
> The WELD bug is https://issues.jboss.org/browse/WELD-2019
> 
> And upstream discussion
> http://mail.openjdk.java.net/pipermail/lambda-dev/2015-August/012146.html

This appears to be the issue. I've done a very crude backport of the fix for WELD-2019 to 1.1.28.Final, which is the version used in EAP 6.4.0. With this patch, the error no longer appears for me. Thomas, would you be able to verify this patch fixes the problem?

Steps to test:
1. Download source of weld-core from https://github.com/weld/core/archive/1.1.28.Final.tar.gz.
2. Apply weld-core-rhbz1262462.patch, and build with Maven.
3. Copy impl/target/weld-core-1.1.28.Final.jar to JBOSS_HOME/modules/system/layers/base/org/jboss/weld/core/main/weld-core-1.1.28.Final-redhat-1.jar
4. Run reproducer.sh and standalone.sh as above.
Comment 6 Fedora End Of Life 2015-11-04 10:22:34 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-12-02 10:20:10 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.